package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF060Response {

    @Parameter(name = "AAAdresat")
    String aAAdresat();

    @Parameter(name = "AACO")
    String aaco();

    @Parameter(name = "AACP")
    String aacp();

    @Parameter(name = "AACtvrt")
    String aACtvrt();

    @Parameter(name = "AAObec")
    String aAObec();

    @Parameter(name = "AAPSC")
    String aapsc();

    @Parameter(name = "AAPosta")
    String aAPosta();

    @Parameter(name = "AAUlice")
    String aAUlice();

    @Parameter(name = "AAZeme")
    String aAZeme();

    @Parameter(name = "BeznyZustatek")
    Double beznyZustatek();

    @Parameter(name = "CisloUctu")
    String cisloUctu();

    @Parameter(name = "CisloUctuAGB")
    String cisloUctuAGB();

    @Parameter(name = "DanZUroku")
    Double danZUroku();

    @Parameter(name = "Data")
    java.util.List<MWF060Data> data();

    @Parameter(name = "DatumDalsihoVypisu")
    java.util.Date datumDalsihoVypisu();

    @Parameter(name = "DatumGenerovaniVypisu")
    java.util.Date datumGenerovaniVypisu();

    @Parameter(name = "DatumOtevreni")
    java.util.Date datumOtevreni();

    @Parameter(name = "DatumOtevreniRamce")
    java.util.Date datumOtevreniRamce();

    @Parameter(name = "DatumPosledniAktivity")
    java.util.Date datumPosledniAktivity();

    @Parameter(name = "DatumPosledniVklad")
    java.util.Date datumPosledniVklad();

    @Parameter(name = "DatumPoslednihoVypisu")
    java.util.Date datumPoslednihoVypisu();

    @Parameter(name = "DisponibilniZustatek")
    Double disponibilniZustatek();

    @Parameter(name = "DisponibilniZustatekZitra")
    Double disponibilniZustatekZitra();

    @Parameter(name = "DistribuceVypisu")
    String distribuceVypisu();

    @Parameter(name = "DruheJmeno")
    String druheJmeno();

    @Parameter(name = "FlexiBusTyp")
    String flexiBusTyp();

    @Parameter(name = "IndexUrokoveSazby")
    Long indexUrokoveSazby();

    @Parameter(name = "InformativniZustatek")
    Double informativniZustatek();

    @Parameter(name = "Jmeno")
    String jmeno();

    @Parameter(name = "KlasifikaceUctu")
    String klasifikaceUctu();

    @Parameter(name = "KonecnyZustatek")
    Double konecnyZustatek();

    @Parameter(name = "Mena")
    String mena();

    @Parameter(name = "MenaKod")
    Long menaKod();

    @Parameter(name = "MesicniObratyCR")
    Double mesicniObratyCR();

    @Parameter(name = "MesicniObratyDB")
    Double mesicniObratyDB();

    @Parameter(name = "MinimalniKreditnizustatek")
    Double minimalniKreditnizustatek();

    @Parameter(name = "ObchodniJmeno")
    String obchodniJmeno();

    @Parameter(name = "ObchodniMistoKod")
    String obchodniMistoKod();

    @Parameter(name = "ObchodniMistoNazev")
    String obchodniMistoNazev();

    @Parameter(name = "ObjektUveru")
    String objektUveru();

    @Parameter(name = "PausalniPoplatek")
    Double pausalniPoplatek();

    @Parameter(name = "PausalniPoplatekKTK")
    Double pausalniPoplatekKTK();

    @Parameter(name = "PausalniPoplatekPocetMesicuZdarma")
    Long pausalniPoplatekPocetMesicuZdarma();

    @Parameter(name = "PeriodaVypisu")
    String periodaVypisu();

    @Parameter(name = "PoplatkovyPlan")
    String poplatkovyPlan();

    @Parameter(name = "PoplatkovyPlanMatersky")
    String poplatkovyPlanMatersky();

    @Parameter(name = "PoplatkovyPlanPuvodni")
    String poplatkovyPlanPuvodni();

    @Parameter(name = "PoplatkovyPlanTisk")
    String poplatkovyPlanTisk();

    @Parameter(name = "PoplatkovyPlan_Sleva")
    Long poplatkovyPlanSleva();

    @Parameter(name = "PostovniPoukazka")
    String postovniPoukazka();

    @Parameter(name = "PouzitaAA")
    String pouzitaAA();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "ProduktKod")
    String produktKod();

    @Parameter(name = "ProduktKodBU")
    String produktKodBU();

    @Parameter(name = "ProduktKodStary")
    String produktKodStary();

    @Parameter(name = "ProduktNazev")
    String produktNazev();

    @Parameter(name = "RamecExistuje")
    String ramecExistuje();

    @Parameter(name = "RocniObratyCR")
    Double rocniObratyCR();

    @Parameter(name = "RocniObratyDB")
    Double rocniObratyDB();

    @Parameter(name = "SankcniUrok")
    Double sankcniUrok();

    @Parameter(name = "SchvalenyLimitKontokorentu")
    Double schvalenyLimitKontokorentu();

    @Parameter(name = "SdruzUcetPoplatky")
    String sdruzUcetPoplatky();

    @Parameter(name = "SdruzUcetUroky")
    String sdruzUcetUroky();

    @Parameter(name = "ServisniPoplatek")
    Double servisniPoplatek();

    @Parameter(name = "SpecialniNabidka")
    String specialniNabidka();

    @Parameter(name = "SplatnyUrok")
    Double splatnyUrok();

    @Parameter(name = "SpravaNavazanehoUURemedialem")
    String spravaNavazanehoUURemedialem();

    @Parameter(name = "StavUctu")
    String stavUctu();

    @Parameter(name = "TitulPred")
    String titulPred();

    @Parameter(name = "TitulZa")
    String titulZa();

    @Parameter(name = "TrU_DatumPozadavkuNaZruseni")
    java.util.Date trUDatumPozadavkuNaZruseni();

    @Parameter(name = "TrU_DatumVerifZruseniTransp")
    java.util.Date trUDatumVerifZruseniTransp();

    @Parameter(name = "TrU_DatumVerifikaceTransp")
    java.util.Date trUDatumVerifikaceTransp();

    @Parameter(name = "TrU_DatumVytvoreni")
    java.util.Date trUDatumVytvoreni();

    @Parameter(name = "TrU_KodKategorie")
    Long trUKodKategorie();

    @Parameter(name = "TrU_KodMeny")
    Long trUKodMeny();

    @Parameter(name = "TrU_StatusTransparentnosti")
    Long trUStatusTransparentnosti();

    @Parameter(name = "TrU_UrednikPozadujiciZruseni")
    String trUUrednikPozadujiciZruseni();

    @Parameter(name = "TrU_VerifUrednikZruseniTransp")
    String trUVerifUrednikZruseniTransp();

    @Parameter(name = "TrU_VerifikovatUrednikem")
    String trUVerifikovatUrednikem();

    @Parameter(name = "TrU_VytvorilUrednik")
    String trUVytvorilUrednik();

    @Parameter(name = "TrU_ZkraceneJmeno")
    String trUZkraceneJmeno();

    @Parameter(name = "TransakceNavic")
    String transakceNavic();

    @Parameter(name = "TypUctu")
    String typUctu();

    @Parameter(name = "UrokZaCerpaniKontokorentu")
    Double urokZaCerpaniKontokorentu();

    @Parameter(name = "UrokovaSazba")
    Double urokovaSazba();

    @Parameter(name = "VypisNaKonciMesice")
    Boolean vypisNaKonciMesice();

    @Parameter(name = "VypisyFrekvence")
    String vypisyFrekvence();

    @Parameter(name = "VypisySpecifickeDatum")
    Long vypisySpecifickeDatum();

    @Parameter(name = "VysePoslednihoVkladu")
    Double vysePoslednihoVkladu();

    @Parameter(name = "ZpracovaneDatumZustatku")
    java.util.Date zpracovaneDatumZustatku();

    @Parameter(name = "ZpusobPripisu")
    String zpusobPripisu();

}